/* 
La funzione mettiAZeroPariDispari prende un 
array di numeri interi, chiamato v e ne elimina 
tutte le occorrenze di un valore pari.
Alla fine del processo, l'array originale 
è modificato, contenendo ora solo elementi dispari e zero negli altri
*/
#include <iostream>
using namespace std;

int mettiAZeroPariDispari(int arr[], size_t size){
	for(size_t i = 0; i<size; i++){
		if(arr[i] % 2 == 0){
			arr[i] = 0;
		}
		
		
	}
	return 0;
	
	
	
}
int stampa(int arr[], size_t size){
	for(size_t i = 0; i<size; i++){
		cout << arr[i] << " ";
		
		
		
	}
	
	
}
int main(void){
	int v[10] = {4,5,9,12,23,45,67,46,48,56};
	
	stampa(v,10);
	cout << endl;
	mettiAZeroPariDispari(v, 10);	
	stampa(v,10);
	
}

